ZAM client won't upgrade from 7 to 7.5. Generates the error:-

---------------------------
ZENworks Asset Management
---------------------------
Aborting the ZENworks Asset Management - Client Applications setup as a previous installation was detected. Uninstall your previous client applications installation if you want to reinstall.
---------------------------
OK
---------------------------

Documentation suggests the client should just upgrade no problem. How can we get this to work?

Thanks

Lenny